> ## Documentation Index
> Fetch the complete documentation index at: https://docs.orum.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Persons

> Get all persons objects.



## OpenAPI

````yaml api-reference/oas-with-internal-removed.yaml get /deliver/persons
openapi: 3.0.1
info:
  title: Orum API
  description: Orum API.
  version: v2022-09-21
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
servers:
  - url: https://api-sandbox.orum.io
  - url: https://vault.api-sandbox.orum.io
security: []
paths:
  /deliver/persons:
    get:
      tags:
        - Persons
      summary: Get all persons
      description: Get all persons objects.
      operationId: get-persons
      parameters:
        - name: Orum-Version
          in: header
          required: true
          schema:
            $ref: '#/components/schemas/OrumVersion'
          x-orum-error-invalid:
            known-error: version_invalid
          x-orum-error-missing:
            known-error: version_missing
        - name: index
          description: Index for paginated results
          in: query
          required: false
          schema:
            type: integer
            default: 0
            minimum: 0
          x-orum-error-invalid:
            known-error: index
        - name: size
          description: Max number of results to return
          in: query
          required: false
          schema:
            type: integer
            default: 100
            minimum: 0
            maximum: 500
          x-orum-error-invalid:
            known-error: size
        - name: customer_reference_id
          description: Filter by customer reference id
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/CustomerReferenceId'
        - name: status
          description: Filter by customer statuses (multiple allowed)
          in: query
          required: false
          schema:
            type: array
            items:
              $ref: '#/components/schemas/PersonStatus'
          explode: true
          x-orum-error-invalid:
            known-error: invalid_person_status
        - name: start_time
          description: Filter results created at or after this time
          in: query
          required: false
          schema:
            type: string
            format: date-time
          x-orum-error-invalid:
            known-error: invalid_start_time
        - name: end_time
          description: Filter results created before this time
          in: query
          required: false
          schema:
            type: string
            format: date-time
          x-orum-error-invalid:
            known-error: invalid_end_time
        - name: first_name
          in: query
          description: The first name to filter persons by (case-insensitive, exact match).
          required: false
          schema:
            type: string
        - name: last_name
          in: query
          description: The last name to filter persons by (case-insensitive, exact match).
          required: false
          schema:
            type: string
        - name: account_number
          in: query
          description: Filter by account number
          required: false
          schema:
            allOf:
              - $ref: '#/components/schemas/UsBankAccountNumber'
          x-orum-error-invalid:
            known-error: invalid_account_number
        - name: id
          description: Filter results by the person id
          in: query
          required: false
          schema:
            type: string
            format: uuid
          x-orum-error-invalid:
            message: Orum ID is invalid. Pass in a valid uuid
            code: invalid_orum_id
      responses:
        '200':
          description: 200 response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PersonsResponse'
        '400':
          description: invalid request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        default:
          description: unexpected error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - oauth2:
            - read:persons
components:
  schemas:
    OrumVersion:
      type: string
      description: Version of Deliver and Verify APIs. Use v2022-09-21.
      enum:
        - v2022-09-21
    CustomerReferenceId:
      title: CustomerReferenceId
      type: string
      description: >-
        Unique reference id for the customer (business or person) resource.
        Generated by you.
      minLength: 1
      maxLength: 255
    PersonStatus:
      title: PersonStatus
      type: string
      description: Status of person in Orum system.
      enum:
        - created
        - verified
        - rejected
        - restricted
        - closed
    UsBankAccountNumber:
      title: UsBankAccountNumber
      type: string
      pattern: ^(?:\d-{0,1}){3,16}\d$
      description: Account number for US bank account. 4 to 17 digits are acceptable.
    PersonsResponse:
      title: PersonsResponse
      type: object
      required:
        - persons
      properties:
        persons:
          type: array
          description: List of person objects.
          items:
            allOf:
              - $ref: '#/components/schemas/PersonResponseBase'
    ErrorResponse:
      type: object
      properties:
        error_code:
          type: string
        message:
          type: string
        details:
          type: object
          description: additional details about the error.
          nullable: true
      required:
        - error_code
        - message
    PersonResponseBase:
      type: object
      required:
        - id
        - customer_reference_id
        - first_name
        - last_name
        - status
        - created_at
        - updated_at
      properties:
        id:
          $ref: '#/components/schemas/OrumId'
        customer_reference_id:
          $ref: '#/components/schemas/CustomerReferenceId'
        first_name:
          type: string
        middle_name:
          type: string
        last_name:
          type: string
        date_of_birth:
          type: string
          description: >-
            Date of birth in YYYY-MM-DD format. Note: This field is required for
            payouts, deposits, or account-to-account transfers. Age must be less
            than 100 years and greater than 18 years to be verified.
        status:
          $ref: '#/components/schemas/PersonStatus'
        addresses:
          type: array
          description: >-
            Address information for the person. Note: This field is required for
            payouts, deposits, or account-to-account transfers.
          items:
            $ref: '#/components/schemas/PostalAddressResponse'
          minItems: 1
          maxItems: 1
        contacts:
          type: array
          description: List of contact information for the person.
          items:
            $ref: '#/components/schemas/ContactResponsePerson'
          minItems: 1
          maxItems: 2
        status_reasons:
          type: array
          description: Array that explains why the person failed verification.
          items:
            $ref: '#/components/schemas/StatusReason'
        created_at:
          $ref: '#/components/schemas/CreatedAt'
        updated_at:
          $ref: '#/components/schemas/UpdatedAt'
        closed_at:
          $ref: '#/components/schemas/ClosedAt'
        metadata:
          type: object
          description: >-
            Additional data you would like to provide on the resource. The field
            supports valid JSON of up to 5 key-value pairs with a maximum of 20
            characters for the key and 50 characters for the value. Do not
            include any sensitive information.
    OrumId:
      type: string
      description: Orum generated unique id for the resource.
      format: uuid
    PostalAddressResponse:
      title: PostalAddressResponse
      type: object
      required:
        - id
        - type
        - address1
        - city
        - state
        - country
        - zip5
        - created_at
        - updated_at
      description: Address.
      properties:
        id:
          $ref: '#/components/schemas/OrumId'
        type:
          $ref: '#/components/schemas/AddressType'
        address1:
          $ref: '#/components/schemas/Address1'
        address2:
          $ref: '#/components/schemas/Address2'
        city:
          $ref: '#/components/schemas/City'
        state:
          $ref: '#/components/schemas/State'
        country:
          $ref: '#/components/schemas/Country'
        zip5:
          $ref: '#/components/schemas/Zip5'
        created_at:
          $ref: '#/components/schemas/CreatedAt'
        updated_at:
          $ref: '#/components/schemas/UpdatedAt'
    ContactResponsePerson:
      title: ContactResponse
      type: object
      required:
        - id
        - type
        - value
        - created_at
        - updated_at
      description: Contact information.
      properties:
        id:
          $ref: '#/components/schemas/OrumId'
        type:
          $ref: '#/components/schemas/ContactTypePerson'
        value:
          type: string
          description: Email or phone number.
        created_at:
          $ref: '#/components/schemas/CreatedAt'
        updated_at:
          $ref: '#/components/schemas/UpdatedAt'
    StatusReason:
      type: object
      required:
        - reason_code
        - reason_code_message
      properties:
        reason_code:
          $ref: '#/components/schemas/ReasonCode'
        reason_code_message:
          $ref: '#/components/schemas/ReasonCodeMessage'
    CreatedAt:
      type: string
      description: Timestamp when the resource was created.
      format: date-time
    UpdatedAt:
      type: string
      description: Timestamp when the resource was last updated.
      format: date-time
    ClosedAt:
      type: string
      description: Timestamp when the status of the resource was set to "closed".
      format: date-time
    AddressType:
      title: AddressType
      type: string
      description: Type of address.
      enum:
        - home
        - legal
    Address1:
      title: Address1
      type: string
      description: Address line 1.
      maxLength: 255
      x-orum-error-invalid:
        message: >-
          Address1 is invalid. Ensure it is a string with a maximum length of
          255 characters.
        code: invalid_address1
    Address2:
      title: Address2
      type: string
      description: Address line 2.
      maxLength: 255
      x-orum-error-invalid:
        message: >-
          Address2 is invalid. Ensure it is a string with a maximum length of
          255 characters.
        code: invalid_address2
    City:
      title: City
      type: string
      description: City.
      maxLength: 255
    State:
      title: State
      type: string
      pattern: ^[A-Z]{2}$
      description: Uppercase two-character state code of the address.
    Country:
      title: Country
      type: string
      description: 2-character ISO country code.
      enum:
        - US
    Zip5:
      title: Zip5
      type: string
      description: 5-digit ZIP Code. Numeric values (0-9) only.
      pattern: ^\d{5}$
    ContactTypePerson:
      title: ContactTypePerson
      type: string
      description: >-
        Type of contact information associated with a person - 'email' or
        'phone'.
      enum:
        - email
        - phone
    ReasonCode:
      type: string
      description: A word-based code that describes the verification failure.
      example: invalid_address
    ReasonCodeMessage:
      type: string
      description: A human-readable description of the reason code.
      example: Address submitted is a non-supported address type
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api-sandbox.orum.io/oauth/token
          scopes:
            read:persons: Read persons
            write:persons: Write persons
            read:businesses: Read businesses
            write:businesses: Write businesses
            read:external-accounts: Read external accounts
            write:external-accounts: Write external accounts
            read:cards: Read cards
            write:cards: Write cards
            read:transfers: Read transfers
            write:transfers: Write transfers
            read:transfer-groups: Read transfer groups
            write:transfer-groups: Write transfer groups
            read:schedules: Read schedules
            write:schedules: Write schedules
            read:routing-number-eligibility: Read routing number eligibility
            read:balances: Read balances
            read:reports: Read reports
            write:reports: Write reports
            read:booktransfers: Read book transfers
            write:booktransfers: Write book transfers
            read:subledgers: Read subledgers
            write:subledgers: Write subledgers
            read:verify-accounts: Read verify accounts
            write:verify-accounts: Write verify accounts
            read:webhook-configurations: Read webhook configurations
            write:webhook-configurations: Write webhook configurations
            read:webhook-secret: Read webhook secret
            write:webhook-secret: Write webhook secret
            invoke:webhook: Invoke webhook

````